| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumLib Class Reference

Enumerations used in Lib library. More...

List of all members.

## Static Public Attributes
static double | MCFI_PI = 3.14159265358979323846
static long | XLCFI_SAT_DEFAULT = 0
static long | XLCFI_SAT_DEFAULT1 = 1
static long | XLCFI_SAT_DEFAULT2 = 2
static long | XLCFI_SAT_DEFAULT3 = 3
static long | XLCFI_SAT_DEFAULT4 = 4
static long | XLCFI_SAT_DEFAULT5 = 5
static long | XLCFI_SAT_DEFAULT6 = 6
static long | XLCFI_SAT_DEFAULT7 = 7
static long | XLCFI_SAT_DEFAULT8 = 8
static long | XLCFI_SAT_DEFAULT9 = 9
static long | XLCFI_SAT_ERS1 = 11
static long | XLCFI_SAT_ERS2 = 12
static long | XLCFI_SAT_ENVISAT = 21
static long | XLCFI_SAT_METOP1 = 31
static long | XLCFI_SAT_METOP2 = 32
static long | XLCFI_SAT_METOP3 = 33
static long | XLCFI_SAT_CRYOSAT = 41
static long | XLCFI_SAT_ADM = 51
static long | XLCFI_SAT_GOCE = 61
static long | XLCFI_SAT_SMOS = 71
static long | XLCFI_SAT_TERRASAR = 81
static long | XLCFI_SAT_EARTHCARE = 91
static long | XLCFI_SAT_SWARM_A = 101
static long | XLCFI_SAT_SWARM_B = 102
static long | XLCFI_SAT_SWARM_C = 103
static long | XLCFI_SAT_SENTINEL_1A = 110
static long | XLCFI_SAT_SENTINEL_1B = 111
static long | XLCFI_SAT_SENTINEL_2 = 112
static long | XLCFI_SAT_SENTINEL_3 = 113
static long | XLCFI_SAT_SEOSAT = 120
static long | XLCFI_SAT_SENTINEL_1C = 125
static long | XLCFI_SAT_SENTINEL_2A = 126
static long | XLCFI_SAT_SENTINEL_2B = 127
static long | XLCFI_SAT_SENTINEL_2C = 128
static long | XLCFI_SAT_SENTINEL_3A = 129
static long | XLCFI_SAT_SENTINEL_3B = 130
static long | XLCFI_SAT_SENTINEL_3C = 131
static long | XLCFI_SAT_GENERIC = 200
static long | XLCFI_TIMEMOD_AUTO = -2
static long | XLCFI_TIMEMOD_USER = -1
static long | XLCFI_TIMEMOD_NONE = 0
static long | XLCFI_TIMEMOD_IERS_B_PREDICTED = 1
static long | XLCFI_TIMEMOD_IERS_B_RESTITUTED = 2
static long | XLCFI_TIMEMOD_FOS_PREDICTED = 3
static long | XLCFI_TIMEMOD_FOS_RESTITUTED = 4
static long | XLCFI_TIMEMOD_DORIS_PRELIMINARY = 5
static long | XLCFI_TIMEMOD_DORIS_PRECISE = 6
static long | XLCFI_TIMEMOD_DORIS_NAVIGATOR = 7
static long | XLCFI_TIMEMOD_OSF = 8
static long | XLCFI_TIMEMOD_IERS_A_ONLY_PREDICTION = 9
static long | XLCFI_TIMEMOD_IERS_A_PREDICTION_AND_FORMULA = 10
static long | XLCFI_TIMEMOD_IERS_B_AND_A_ONLY_PREDICTION = 11
static long | XLCFI_TIME_UNDEF = -1
static long | XLCFI_TIME_TAI = 0
static long | XLCFI_TIME_UTC = 1
static long | XLCFI_TIME_UT1 = 2
static long | XLCFI_TIME_GPS = 3
static long | XLCFI_PROC = 0
static long | XLCFI_TRANS_STD = 0
| Array elements: [0] Integer days (MJD2000); [1] Integer seconds; [2] Integer microseconds.
static long | XLCFI_TRANS_ENVI_GS = 11
| Array elements: [0] Integer days (MJD2000); [1] Integer seconds; [2] Integer microseconds.
static long | XLCFI_TRANS_CRYO_GS = 21
| Array elements: [0] Integer days (MJD2000); [1] Integer seconds; [2] Integer microseconds.
static long | XLCFI_TRANS_CRYO_TM = 22
| Array elements: [0] Integer days (MJD2000); [1] Integer miliseconds; [2] Integer microsecnds.
static long | XLCFI_TRANS_CRYO_TM_SIRAL = 23
| Array elements: [0] Integer days (MJD2000); [1] Integer miliseconds; [2] Integer microseconds; [3] SIRAL extra counter.
static long | XLCFI_TRANS_SMOS_TM = 31
| Array elements: [0] Week number; [1] Seconds of week; [2] Fraction of seconds.
static long | XLCFI_TRANS_GENERIC_GPS_SEC = 41
| Array elements: [0] Number of seconds (from GPS epoch); [1] Integer microseconds.
static long | XLCFI_TRANS_GENERIC_GPS_WEEK = 42
| Array elements: [0] Number of weeks (from GPS epoch); [1] Integer seconds; [2] Integer microseconds.
static long | XLCFI_ASCII_UNDEF = -1
| format: -.
static long | XLCFI_ASCII_STD = 11
| format: yyyy-mm-dd_hh:nn:ss. BOM: . EOM: .
static long | XLCFI_ASCII_STD_REF = 12
| format: RRR=yyyy-mm-dd_hh:nn:ss. BOM: 0000-00-00_00:00:00. EOM: 9999-99-99_99:99:99.
static long | XLCFI_ASCII_STD_MICROSEC = 13
| format: yyyy-mm-dd_hh:nn:ss.uuuuuu. BOM: 0000-00-00_00:00:00.000000. EOM: 9999-99-99_99:99:99.999999.
static long | XLCFI_ASCII_STD_REF_MICROSEC = 14
| format: RRR=yyyy-mm-dd_hh:nn:ss.uuuuuu. BOM: RRR=0000-00-00_00:00:00.000000. EOM: RRR=9999-99-99_99:99:99.999999.
static long | XLCFI_ASCII_COMPACT = 21
| format: yyyymmdd_hhnnss. BOM: 00000000_000000. EOM: 99999999_999999.
static long | XLCFI_ASCII_COMPACT_REF = 22
| format: RRR=yyyymmdd_hhnnss. BOM: RRR=00000000_000000. EOM: RRR=99999999_999999.
static long | XLCFI_ASCII_COMPACT_MICROSEC = 23
| format: yyyymmdd_hhnnssuuuuuu. BOM: 00000000_000000000000. EOM: 99999999_999999999999.
static long | XLCFI_ASCII_COMPACT_REF_MICROSEC = 24
| format: RRR=yyyymmdd_hhnnssuuuuuu. BOM: RRR=00000000_000000000000. EOM: RRR=99999999_999999999999.
static long | XLCFI_ASCII_ENVI = 31
| format: dd-mmm-yyyy hh:nn:ss. BOM: 00-000-0000_00:00:00. EOM: 31-DEC-2078 23:59:59.
static long | XLCFI_ASCII_ENVI_REF = 32
| format: RRR=dd-mmm-yyyy hh:nn:ss. BOM: RRR=00-000-0000_00:00:00. EOM: RRR=31-DEC-2078 23:59:59.
static long | XLCFI_ASCII_ENVI_MICROSEC = 33
| format: dd-mmm-yyyy hh:nn:ss.uuuuuu. BOM: 00-000-0000_00:00:00.000000. EOM: 31-DEC-2078 23:59:59.999999.
static long | XLCFI_ASCII_ENVI_REF_MICROSEC = 34
| format: RRR=dd-mmm-yyyy hh:nn:ss.uuuuuu. BOM: RRR=00-000-0000_00:00:00.000000. EOM: RRR=31-DEC-2078 23:59:59.999999.
static long | XLCFI_ASCII_CCSDSA = 41
| format: yyyy-mm-ddThh:nn:ss. BOM: 0000-00-00T00:00:00. EOM: 9999-99-99T99:99:99.
static long | XLCFI_ASCII_CCSDSA_REF = 42
| format: RRR=yyyy-mm-ddThh:nn:ss. BOM: RRR=0000-00-00T00:00:00. EOM: RRR=9999-99-99T99:99:99.
static long | XLCFI_ASCII_CCSDSA_MICROSEC = 43
| format: yyyy-mm-ddThh:nn:ss.uuuuuu. BOM: 0000-00-00T00:00:00.000000. EOM: 9999-99-99T99:99:99.999999.
static long | XLCFI_ASCII_CCSDSA_REF_MICROSEC = 44
| format: RRR=yyyy-mm-ddThh:nn:ss.uuuuuu. BOM: RRR=0000-00-00T00:00:00.000000. EOM: RRR=9999-99-99T99:99:99.999999.
static long | XLCFI_ASCII_CCSDSA_COMPACT = 51
| format: yyyymmddThhnnss. BOM: 00000000T000000. EOM: 99999999T999999.
static long | XLCFI_ASCII_CCSDSA_COMPACT_REF = 52
| format: RRR=yyyymmddThhnnss. BOM: RRR=00000000T000000. EOM: RRR=99999999T999999.
static long | XLCFI_ASCII_CCSDSA_COMPACT_MICROSEC = 53
| format: yyyymmddThhnnssuuuuuu. BOM: 00000000T000000000000. EOM: 99999999T999999999999.
static long | XLCFI_ASCII_CCSDSA_COMPACT_REF_MICROSEC = 54
| format: RRR=yyyymmddThhnnssuuuuuu. BOM: RRR=00000000T000000000000. EOM: RRR=99999999T999999999999.
static long | XLCFI_NO_DER = 0
| No derivative is defined or calculated.
static long | XLCFI_DER_1ST = 1
| Only first derivative is defined or calculated.
static long | XLCFI_DER_2ND = 2
| Both 1st and 2nd derivatives are defined or calculated.
static long | XLCFI_CS_UNDEF = 0
| Undefined.
static long | XLCFI_CS_GALACTIC = 1
| Galactic coordinate system.
static long | XLCFI_CS_BM1950 = 2
| Barycentric Mean of 2000.0 coordinate system.
static long | XLCFI_CS_BM2000 = 3
| Barycentric Mean of 2000.0 coordinate system.
static long | XLCFI_CS_HM2000 = 4
| Heliocentric Mean of 2000.0 coordinate system.
static long | XLCFI_CS_GM2000 = 5
| Geocentric Mean of 2000.0 coordinate system.
static long | XLCFI_CS_MOD = 6
| Mean of Date coordinate system .
static long | XLCFI_CS_TOD = 7
| True of Date coordinate system.
static long | XLCFI_CS_PEF = 8
| Earth Fixed coordinate system.
static long | XLCFI_CS_EF = 9
| Earth Fixed coordinate system.
static long | XLCFI_CS_TOPOCENTRIC = 10
| Topocentric coordinate system .
static long | XLCFI_CS_SAT_ORBITAL_REF = 11
| Orbital frame.
static long | XLCFI_CS_SAT_NOMINAL_ATT = 12
| Satellite nominal attitude frame.
static long | XLCFI_CS_SAT_ATT = 13
| Satellite attitude frame.
static long | XLCFI_CS_INSTR_ATT = 14
| Instrument attitude frame.
static long | XLCFI_KEPLER_MEAN = 1
| Mean elements.
static long | XLCFI_KEPLER_OSC = 2
| Osculation elements.
static long | XLCFI_MODE_FLAG_LOCATION = 0
static long | XLCFI_MODE_FLAG_DIRECTION = 1
static long | XLCFI_MERCURY = 1
| Mercury.
static long | XLCFI_VENUS = 2
| Venus.
static long | XLCFI_EM_BAR = 3
| Earth-Moon barycenter.
static long | XLCFI_MARS = 4
| Mars.
static long | XLCFI_JUPITER = 5
| Jupiter.
static long | XLCFI_SATURN = 6
| Saturn.
static long | XLCFI_URANUS = 7
| Uranus.
static long | XLCFI_NEPTUNE = 8
| Neptune.
static long | XLCFI_FK4 = 0
static long | XLCFI_FK5 = 1
static long | XLCFI_ANGLE_TYPE_TRUE_LAT_TOD = 1
static long | XLCFI_ANGLE_TYPE_MEAN_LAT_TOD = 2
static long | XLCFI_MODEL_DEFAULT = 1
static long | XLCFI_MODEL_CONFIG = 2
static long | XLCFI_MODEL_TYPE_EARTH = 0
static long | XLCFI_MODEL_TYPE_SUN = 1
static long | XLCFI_MODEL_TYPE_MOON = 2
static long | XLCFI_MODEL_TYPE_PLANET = 3
static long | XLCFI_MODEL_TYPE_STAR = 4
static long | XLCFI_MODEL_TYPE_NUTATION = 5
static long | XLCFI_MODEL_TYPE_PRECESSION = 6
static long | XLCFI_MODEL_TYPE_CONSTANTS = 7
static long | XLCFI_NUM_MODEL_TYPES_ENUM = 8
static long | XLCFI_MODEL_EARTH_DEFAULT = 0
static long | XLCFI_MODEL_SUN_DEFAULT = 0
static long | XLCFI_MODEL_MOON_DEFAULT = 0
static long | XLCFI_MODEL_PLANETS_DEFAULT = 0
static long | XLCFI_MODEL_STAR_DEFAULT = 0
static long | XLCFI_MODEL_NUTATION_DEFAULT = 0
static long | XLCFI_MODEL_PRECESSION_DEFAULT = 0
static long | XLCFI_MODEL_CONSTANTS_DEFAULT = 0
static long | XLCFI_SEL_FILE = 0
static long | XLCFI_SEL_TIME = 1
static long | XLCFI_SEL_ORBIT = 2
static long | XLCFI_SEL_DEFAULT = 3
static long | XLCFI_NO_BULLETIN = 0
static long | XLCFI_BULLETIN_B = 1
static long | XLCFI_BULLETIN_A = 2
static long | XLCFI_BULLETIN_B_AND_A = 3
static long | XLCFI_FORMULA_ENABLED = 0
static long | XLCFI_FORMULA_DISABLED = 1

## Detailed Description

Enumerations used in Lib library.